Last Comment Bug 306534 - [FIX]###!!! ASSERTION: Float frame has wrong parent: 'floatFrame->GetParent() == mBlock', file nsBlockReflowState.cpp, line 835
: [FIX]###!!! ASSERTION: Float frame has wrong parent: 'floatFrame->GetParent()...
Status: RESOLVED FIXED
: testcase, verified1.8.1.13
Product: Core
Classification: Components
Component: Layout: Block and Inline (show other bugs)
: Trunk
: x86 Linux
: P1 normal (vote)
: mozilla1.9alpha1
Assigned To: Boris Zbarsky [:bz]
:
Mentors:
Depends on:
Blocks: 415827
  Show dependency treegraph
 
Reported: 2005-08-30 22:57 PDT by Mats Palmgren (:mats)
Modified: 2008-03-12 02:20 PDT (History)
3 users (show)
jwalden+bmo: in‑testsuite?
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Testcase (606 bytes, text/html)
2005-08-30 23:00 PDT, Mats Palmgren (:mats)
no flags Details
GDB data + stack (14.30 KB, text/plain)
2005-08-31 11:13 PDT, Mats Palmgren (:mats)
no flags Details
Fix (1.56 KB, patch)
2005-12-07 22:18 PST, Boris Zbarsky [:bz]
roc: review+
roc: superreview+
Details | Diff | Splinter Review

Description Mats Palmgren (:mats) 2005-08-30 22:57:59 PDT
###!!! ASSERTION: Float frame has wrong parent: 'floatFrame->GetParent() ==
mBlock', file nsBlockReflowState.cpp, line 835

STEPS TO REPRODUCE
1. load the attached testcase
Comment 1 Mats Palmgren (:mats) 2005-08-30 23:00:06 PDT
Created attachment 194416 [details]
Testcase
Comment 2 Mats Palmgren (:mats) 2005-08-31 11:13:54 PDT
Created attachment 194452 [details]
GDB data + stack
Comment 3 Boris Zbarsky [:bz] 2005-12-07 22:18:58 PST
Created attachment 205284 [details] [diff] [review]
Fix

Just have to get the right parent when initing the floating letter frame.

Note that this does not help with the fact that we show the first letter twice; not sure why that happens...
Comment 4 Boris Zbarsky [:bz] 2005-12-08 15:09:57 PST
Fixed on trunk.
Comment 5 Mats Palmgren (:mats) 2008-02-12 18:40:50 PST
The patch was merged to MOZILLA_1_8_BRANCH by bug 415827 so adding
fixed1.8.1.13 keyword.
Comment 6 Martijn Wargers [:mwargers] (not working for Mozilla) 2008-03-12 02:20:03 PDT
Verified fixed on the 1.8.1 branch. After updating my 1.8.1 debug build, I don't see the assertion anymore with the testcase.

Note You need to log in before you can comment on or make changes to this bug.